Overview
DELETE/bucket/access-groups/{groupId}/grants/{grantId}bucket

Remove a grant from an access group

Delete a record from grants by groupId, grantId.

Auth: bearerAuth — calls run as the authenticated user.

Parameters
  • groupIdpathstring
  • grantIdpathstring
Responses
204

Removed

No response body.

401

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
404

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
Code examples
cURL
curl -X DELETE "https://api.agenticdeveloperhub.com/bucket/access-groups/{groupId}/grants/{grantId}" \
  -H "Authorization: Bearer YOUR_TOKEN"
JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/bucket/access-groups/{groupId}/grants/{grantId}", {
  method: "DELETE",
  headers: {
    "Authorization": "Bearer YOUR_TOKEN"
  },
});
const data = await res.json();